## org.apache.batik.apps.svgbrowser
Class HistoryBrowserInterface.CompoundUpdateCommand

    java.lang.Object
      org.apache.batik.apps.svgbrowser.AbstractUndoableCommand
          org.apache.batik.apps.svgbrowser.AbstractCompoundCommand
              org.apache.batik.apps.svgbrowser.HistoryBrowserInterface.CompoundUpdateCommand

All Implemented Interfaces:
  UndoableCommand

Enclosing class:
  HistoryBrowserInterface

    public static class HistoryBrowserInterface.CompoundUpdateCommand

extends AbstractCompoundCommand

The compound command.

Field Summary

Fields inherited from class org.apache.batik.apps.svgbrowser.AbstractCompoundCommand
`atomCommands`

Fields inherited from class org.apache.batik.apps.svgbrowser.AbstractUndoableCommand
`name`

Constructor Summary
`HistoryBrowserInterface.CompoundUpdateCommand(java.lang.String commandName)` Constructor.

Method Summary

Methods inherited from class org.apache.batik.apps.svgbrowser.AbstractCompoundCommand
`addCommand, execute, getCommandNumber, redo, shouldExecute, undo`

Methods inherited from class org.apache.batik.apps.svgbrowser.AbstractUndoableCommand
`getName, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HistoryBrowserInterface.CompoundUpdateCommand

    public HistoryBrowserInterface.CompoundUpdateCommand(java.lang.String commandName)

  Constructor.

  Parameters:
    `commandName` - The compound command name

Copyright © 2008 Apache Software Foundation. All Rights Reserved.